Name:		pondus
Version:	0.8.0
Release:	18.13%{?dist}
Summary:	A personal weight management program
License:	MIT
URL:		http://www.ephys.de/software/pondus/
Source0:	http://bitbucket.org/eike/pondus/downloads/pondus-%{version}.tar.gz
# Local patches
Patch1000:      1000-upstream-commits-up-to-9f3f2af.patch
Patch1001:      1001-port-to-gtk-3.patch
Patch1002:      1002-fix-matplotlib-threading-issue.patch

BuildRequires:	desktop-file-utils
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildArch:	noarch

# Required for plotting, not picked up automatically
Requires:	python3-matplotlib

%description
Pondus is a personal weight management program written in Python and Gtk+2
released under the GPL. It aims to be simple to use, lightweight and fast.
The data can be plotted to get a quick overview of the history of your weight.
A simple weight planner allows to define "target weights" and this plan can be
compared with the actual measurements in a plot.

%prep
%setup -q
# Local patches
%patch -P1000 -p1
%patch -P1001 -p1
%patch -P1002 -p1
# Remove Version entry from desktop file
sed -i "/Version/d" data/pondus.desktop

%build
%{__python3} -c 'import setuptools; exec(open("setup.py").read())' build

%install
rm -rf %{buildroot}
%{__python3} -c 'import setuptools; exec(open("setup.py").read())' install -O1 --skip-build --root %{buildroot}
# Find locales
%{find_lang} %{name}
# Remove installed doc that will go in %%doc
rm -rf %{buildroot}%{_docdir}/%{name}
# Verify desktop file install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications --vendor="" --remove-category=GTK data/pondus.desktop

%files -f %{name}.lang
%doc AUTHORS CONTRIBUTING LICENSE NEWS PKG-INFO README TODO
%{_bindir}/pondus
%{_mandir}/man1/pondus.1.*
%{_datadir}/applications/pondus.desktop
%{_datadir}/pixmaps/pondus.xpm
%{_datadir}/icons/hicolor/*/apps/pondus.*
%{_datadir}/pondus/
%{python3_sitelib}/pondus/
%{python3_sitelib}/pondus-*.egg-info

%changelog
* Sat Jan 18 2025 Fabrice Bellet <fabrice@bellet.info> - 0.8.0-18.13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 03 2024 Fabrice Bellet <fabrice@bellet.info> - 0.8.0-18.12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fabrice Bellet <fabrice@bellet.info> - 0.8.0-18.11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fabrice Bellet <fabrice@bellet.info> - 0.8.0-18.10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jul 23 2023 Fabrice Bellet <fabrice@bellet.info> - 0.8.0-18.9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fabrice Bellet <fabrice@bellet.info> - 0.8.0-18.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 27 2022 Fabrice Bellet <fabrice@bellet.info> - 0.8.0-18.7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 29 2022 Fabrice Bellet <fabrice@bellet.info> - 0.8.0-18.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fabrice Bellet <fabrice@bellet.info> - 0.8.0-18.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fabrice Bellet <fabrice@bellet.info> - 0.8.0-18.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 04 2021 Fabrice Bellet <fabrice@bellet.info> - 0.8.0-18.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Apr 21 2020 Fabrice Bellet <fabrice@bellet.info> - 0.8.0-18.2
- upstream commits up to 9f3f2af
- port to gtk 3
- fix matplotlib threading issue

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 27 2018 Susi Lehtola <jussilehtola@fedoraproject.org> - 0.8.0-16
- Fix FTBFS on rawhide.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.8.0-14
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Sep 26 2016 Dominik Mierzejewski <rpm@greysector.net> - 0.8.0-10
- rebuilt for matplotlib-2.0.0

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 13 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 22 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.7.3-1
- Update to 0.7.3.

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Feb 15 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.7.2-1
- Update to 0.7.2.

* Tue Jan 26 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1.

* Sun Dec 27 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0.
- License has changed to MIT.

* Sat Nov 07 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.6.0-1
- Update to 0.6.0.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.5.3-2
- Fix EPEL build.

* Sat Jul 11 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.5.3-2
- Added Requires: python-matplotlib for plotting capability.

* Fri Jul 10 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.5.3-1
- First release.
